; Funkce InstallPlcFiles obsahuje instrukce pro koprovan soubor projektu na dc
; systm. V prbhu instalace je na dc systm poteba penst vechny vyadovan
; soubory. Vtina soubor se kopruje do strojnho adrese a pi odinstalaci se zase 
; odeberou (pi odinstalaci se mus odebrat ve ze strojnho adrese). Nkter soubory 
; se kopruj do uivatelskho adrese - jedn se o soubory, kter jsou jedinen pro
; dan stroj (nikoliv pro typ stroje) a pi odinstalaci se proto neodstrauj. Pi
; instalaci se kopruj jen tehdy, pokud v uivatelskm adresi jet nejsou (pokud
; tam ji jsou, nesm se pepsat - na rozdl od soubor ve strojnm adresi se nesm
; pepsat pi aktualizaci PLC novj verz).

Function InstallPlcFiles

CreateDirectory "$INSTDIR\Html\Macro"

	File	"/oname=Config\Channel0.ChannelConfig"		"..\Config\Channel0.ChannelConfig"
	File	"/oname=Config\TechnologyArea.KbdConfig"	"..\Config\TechnologyArea.KbdConfig"
	File	"/oname=Config\KnobArea.KbdConfig"			"..\Config\KnobArea.KbdConfig"
	
	File	"/oname=Html\Top.html"						"..\Html\Top.html"
	File	"/oname=Html\Main.html"						"..\Html\Main.html"

	File	"/oname=Plc\Commands.PlcConstants"			"..\Plc\Commands.PlcConstants"
	File	"/oname=Plc\SAVars.PlcConstants"			"..\Plc\SAVars.PlcConstants"
	File	"/oname=Plc\Plc0.PlcErrors"					"..\Plc\Plc0.PlcErrors"

	File	"/oname=PriorityBlock\PriorityBlock.ncp"	"..\PriorityBlock\PriorityBlock.ncp"

	File	"/oname=Html\Macro\ClearAx.html"			"..\Html\Macro\ClearAx.html"
	File	"/oname=Html\Macro\SetAx.html"				"..\Html\Macro\SetAx.html"

	File	"/oname=Html\Tools.html"					"$%ProjectDir%\Html\Tools.html"
		; Podadres Include
	File	"/oname=Include\Lathe.nch"					"$%ProjectDir%\Include\Lathe.nch"
		; Podadres MAC	
	File	"/oname=MAC\Lathe.ncp"						"$%ProjectDir%\MAC\Lathe.ncp"
		; Podadres PLC

		; Podadres Tab
	File	"/oname=Tab\Tools.PlcTDef"					"$%ProjectDir%\Tab\Tools.PlcTDef"

	File	"/oname=Html\Help.html"						"..\Html\Help.html"
	
	; Koprovn soubor do uivatelskho adrese (soubory se kopruj podmnn pouze
	; pokud tam jet nejsou)
		;Podadres Tab

	File	"/oname=Html\Top.html"					"..\Html\Top.html"
	File	"/oname=Html\Main.html"					"..\Html\Main.html"
	File	"/oname=Html\SetLengthX.html"						"$%ProjectDir%\Html\SetLengthX.html"
	File	"/oname=Html\SetLengthZ.html"						"$%ProjectDir%\Html\SetLengthZ.html"
	File	"/oname=Html\ModifLengthX.html"						"$%ProjectDir%\Html\ModifLengthX.html"
	File	"/oname=Html\ModifLengthZ.html"						"$%ProjectDir%\Html\ModifLengthZ.html"
	File	"/oname=Html\CarouselToolType.png"					"..\Html\CarouselToolType.png"
	File	"/oname=Html\CarouselAxisDirection.png"			    "$%ProjectDir%\Html\CarouselAxisDirection.png"


	File	"/oname=Html\Machine.png"				"..\Html\Machine.png"
	File	"/oname=Html\MachineReady.png"			"..\Html\MachineReady.png"
	File	"/oname=Html\MachineSetOn.png"			"..\Html\MachineSetOn.png"
	File	"/oname=Html\MachineOn.png"				"..\Html\MachineOn.png"
	File	"/oname=Html\MachineErr.png"			"..\Html\MachineErr.png"


		; Podadres SoftMenu
	File	"/oname=SoftMenu\Technology.SoftMenu"				"$%ProjectDir%\SoftMenu\Technology.SoftMenu"
	File	"/oname=SoftMenu\MainCSY.SoftMenu"					"$%ProjectDir%\SoftMenu\MainCSY.SoftMenu"
;
; Soubory pidan pro uivatelsk makrocyklus na obrbn obrue
;
	File	"/oname=Html\UserMacro.html"						"..\Html\UserMacro.html"
	File	"/oname=Html\OpracovaniObruce.html"					"..\Html\OpracovaniObruce.html"
	File	"/oname=Html\PreselectionsObruc.html"				"..\Html\PreselectionsObruc.html"
	File	"/oname=Html\MenuCopyObruc.html"					"..\Html\MenuCopyObruc.html"
	File	"/oname=Html\OpracovaniObruce.png"					"..\Html\OpracovaniObruce.png"
	File	"/oname=Html\OpracovaniObruce.gif"					"..\Html\OpracovaniObruce.gif"

	File	"/oname=Include\Obruc.nch"							"..\Include\Obruc.nch"

	File	"/oname=MAC\Macro_Obruc.ncp"						"..\MAC\Macro_Obruc.ncp"

	File	"/oname=SoftMenu\ManCSY.Softmenu"					"..\Softmenu\ManCSY.SoftMenu"


FunctionEnd

Function un.InstallPlcFiles
	Delete	"$INSTDIR\Config\Channel0.ChannelConfig"	
	Delete	"$INSTDIR\Config\TechnologyArea.KbdConfig"
	Delete	"$INSTDIR\Config\KnobArea.KbdConfig"

	Delete	"$INSTDIR\Plc\Commands.PlcConstants"
	Delete	"$INSTDIR\Plc\SAVars.PlcConstants"
	Delete	"$INSTDIR\Plc\Plc0.PlcErrors"

	Delete	"$INSTDIR\PriorityBlock\PriorityBlock.ncp"

	Delete	"$INSTDIR\Html\Macro\SetAx.html"
	Delete	"$INSTDIR\Html\Macro\ClearAx.html"
	RMDir	"$INSTDIR\Html\Macro"
	Delete	"$INSTDIR\Html\Top.html"
	Delete	"$INSTDIR\Html\Main.html"
	Delete	"$INSTDIR\Html\Tools.html"
	Delete	"$INSTDIR\Html\Help.html"
	Delete	"$INSTDIR\Html\ModifLengthX.html"
	Delete	"$INSTDIR\Html\ModifLengthZ.html"
	Delete	"$INSTDIR\Html\SetLengthX.html"
	Delete	"$INSTDIR\Html\SetLengthZ.html"
	
	Delete	"$INSTDIR\Html\Machine.png"				
	Delete	"$INSTDIR\Html\MachineReady.png"			
	Delete	"$INSTDIR\Html\MachineSetOn.png"			
	Delete	"$INSTDIR\Html\MachineOn.png"				
	Delete	"$INSTDIR\Html\MachineErr.png"			


		; Podadres Include
	Delete	"$INSTDIR\Include\Lathe.nch"
		; Podadres MAC
	Delete	"$INSTDIR\MAC\Lathe.ncp"
		; Podadres PLC



	Delete	"$INSTDIR\Html\CarouselAxisDirection.png"				

	Delete	"$INSTDIR\Html\CarouselToolType.png"


		; Podadres SoftMenu
	Delete	"$INSTDIR\SoftMenu\Technology.SoftMenu"
	Delete	"$INSTDIR\SoftMenu\MainCSY.SoftMenu"
		; Podadres Tab
	Delete	"$INSTDIR\Tab\Tools.PlcTDef"
;
; Odinstalace soubor pidanch pro uivatelsk makrocyklus na obrbn obrue
;

	Delete	"$INSTDIR\Html\MenuCopyObruc.html"
	Delete	"$INSTDIR\Html\OpracovaniObruce.html"
	Delete	"$INSTDIR\Html\PreselectionsObruc.html"
	Delete	"$INSTDIR\Html\Usermacro.html"
	Delete	"$INSTDIR\Html\OpracovaniObruce.gif"
	Delete	"$INSTDIR\Html\OpracovaniObruce.png"

	Delete	"$INSTDIR\Include\Obruc.nch"

	Delete	"$INSTDIR\MAC\Macro_Obruc.ncp"

	Delete	"$INSTDIR\SoftMenu\ManCSY.SoftMenu"




FunctionEnd

; Funkce InstallPlcCpnfig obsahuje instrukce pro vytvoen poloek konfigurace v registru Windows.
; Jednotliv poloky se zapisuj do sekce registru "HKLM\Software\MEFI\WinCNC\Machine", tj. do
; sti konfigurace vyhrazen pro stroj.

Function InstallPlcConfig

	; ********** Machine/PLC **********
	${registry::Write} "HKLM\Software\MEFI\WinCNC\Machine\PLC" "AdditionalPlcConstants"	"Commands.PlcConstants$\nSAVars.PlcConstants$\n"	"REG_MULTI_SZ" $R0
	${registry::Write} "HKLM\Software\MEFI\WinCNC\Machine\Channels\Channel0\Keyboards\Keyboard4"	"ConfigFiles" "KnobArea.KbdConfig"	 "REG_MULTI_SZ" $R0


	; ********** Install/UserInterface/Dialogs **********
	; ***** Machine/UserInterface/Dialogs
	; Tools
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\Tools" "Library"		"StdPlugins"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\Tools" "Type"			"PlcTableEditor"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\Tools" "HtmlFile"		"Tools.html"
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\Tools" "PlcTableNo"	0
	; ***** Machine/UserInterface/Dialogs
		; SetLengthX
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\SetLengthX" "Library"		"WinCNC"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\SetLengthX" "Type"			"MacroDialog"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\SetLengthX" "HtmlFile"		"SetLengthX.html"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\SetLengthX" "SoftMenuFile"	"WndMacroDialogAxConfig.SoftMenu"

		; SetLengthZ
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\SetLengthZ" "Library"		"WinCNC"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\SetLengthZ" "Type"			"MacroDialog"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\SetLengthZ" "HtmlFile"		"SetLengthZ.html"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\SetLengthZ" "SoftMenuFile"	"WndMacroDialogAxConfig.SoftMenu"

		; ModifLengthX
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\ModifLengthX" "Library"		"WinCNC"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\ModifLengthX" "Type"			"MacroDialog"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\ModifLengthX" "HtmlFile"		"ModifLengthX.html"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\ModifLengthX" "SoftMenuFile"	"WndMacroDialogAxConfig.SoftMenu"

		; ModifLengthZ
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\ModifLengthZ" "Library"		"WinCNC"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\ModifLengthZ" "Type"			"MacroDialog"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\ModifLengthZ" "HtmlFile"		"ModifLengthZ.html"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\ModifLengthZ" "SoftMenuFile"	"WndMacroDialogAxConfig.SoftMenu"
	
	; ********** Machine/Channels/Channel0 **********
	${registry::Write} "HKLM\Software\MEFI\WinCNC\Machine\Channels\Channel0" 			"AdditionalConfigFiles"	"Channel0Unique.ChannelConfig$\n"	"REG_MULTI_SZ" $R0
	${registry::Write} "HKLM\Software\MEFI\WinCNC\Machine\Channels\Channel0\PartProg"	"AdditionalInlFiles"	"Lathe.nch$\nObruc.nch"	"REG_MULTI_SZ" $R0
	${registry::Write} "HKLM\Software\MEFI\WinCNC\Machine\Channels\Channel0\PartProg"	"AdditionalMacFiles"	"Lathe.ncp$\n"	"REG_MULTI_SZ" $R0
	WriteRegDWORD HKLM "Software\MEFI\WinCNC\Machine\Channels\Channel0\PartProg"		"selblockmoveallaxes"	1
	WriteRegDWORD HKLM "Software\MEFI\WinCNC\Machine\Channels\Channel0\PartProg"		"contblockmoveallaxes"	1
	
	; ********** Machine/PLC **********
	${registry::Write} "HKLM\Software\MEFI\WinCNC\Machine\PLC" "AdditionalPlcConstants"	"Commands.PlcConstants$\nSAVars.PlcConstants$\n"	"REG_MULTI_SZ" $R0
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\PLC\Tables" "PlcTableDef0"	"Tools.PlcTDef"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\PLC\Tables" "PlcTable0"		"Tools.PlcT"


	; ********** Install/UserInterface **********

	
	; ***** Machine/UserInterface/Windows
		; NcpPreview
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "Library"				"StdPlugins"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "Type"					"NcpPreview"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "Category"				"Standardn"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "Name"					"Nhled partprogramu"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "Plane"				"XY"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "ViewedSpace"			"Pos1"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "ViewType"				"Plane"
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "PlaneXYAngleX"		270
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "PlaneXYAngleZ"		0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "ViewBtnAxonometry"	0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "ViewBtnPerspective"	0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "ViewBtnPlane"			0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "ViewBtnRotate"		0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\NcpPreview" "ViewBtnSelPlane"		0

	;Opakovan volba poslednho programu STARTem:
 
 	WriteRegDWORD HKLM "Software\MEFI\WinCNC\Machine\Channels\Channel0\PartProg" "StartSelectLast" 1


; ********** Machine/UserInterface/Dialogs - soft. tlatko Uivatelsk tvary **********
    WriteRegStr	    HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\UserMacro" "HtmlFile"        	"UserMacro.html"	
    WriteRegStr	    HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\Usermacro" "Library"         	"WinCNC"
    WriteRegStr	    HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\Usermacro" "SoftMenuFile"		"WndMacroDialogMacro.SoftMenu"
    WriteRegStr	    HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Dialogs\Usermacro" "Type" 	        	"MacroDialog"

; ********** Pipojovane soubory k Uivatelskm tvarm **********
;  Obruc.nch je pipojen spolen s Lathe.nch (viz ve hledej Obruc.nch)

FunctionEnd

Function un.InstallPlcConfig
FunctionEnd